#ifndef KAP_SMBSELECTOR_H
#define	KAP_SMBSELECTOR_H

#include "kap_wizardpage.h"

class QListView;
class QListViewItem;
class QLabel;
class QLineEdit;
class QPushButton;

class Kap_SmbSelector : public Kap_WizardPage
{
	Q_OBJECT;

public:
	Kap_SmbSelector(QWidget *parent = 0, const char *name = 0);
	~Kap_SmbSelector();

	Kap_Main::e_PageType getType() const;
	Kap_Main::e_PageType getNextPage(QString& msg, bool fake = false);

	bool canNextPage(QString& msg);

protected:
	void resizeEvent(QResizeEvent *);

protected slots:
	void scanClicked();
	void printersRequested(QListViewItem *item);
	void printerSelected(QListViewItem *item);

private:
	QLabel		*smblistlabel_;
	QListView	*smblist_;
	QPushButton	*scan_;
	QLabel		*workgrouplabel_, *serverlabel_, *printerlabel_;
	QLineEdit	*workgroup_, *server_, *printer_;
};

#endif
