/***************************************************************************
                          kobject.cpp  -  description
                             -------------------
    begin                : Sun Dec 12 1999
    copyright            : (C) 1999 by jec
    email                : cuendet@linkvest.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kobject.h"

KObject::KObject()
: QObject(), isDiscarded_(false)
{
}
KObject::KObject(const KObject& other)
: QObject()
{
	scopy(other);
}
KObject::~KObject()
{
}

KObject& KObject::operator=(const KObject& other)
{
	return copy(other);
}
KObject& KObject::copy(const KObject& other)
{
	return scopy(other);
}
KObject& KObject::scopy(const KObject& other)
{
	isDiscarded_ = other.isDiscarded_;
	return *this;
}

void KObject::setIsDiscarded(bool disc)
{
	isDiscarded_ = disc;
}
bool KObject::isDiscarded()
{
	return isDiscarded_;
}
