/***************************************************************************
                          kobject.h  -  description
                             -------------------
    begin                : Sun Dec 12 1999
    copyright            : (C) 1999 by jec
    email                : cuendet@linkvest.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KOBJECT_H
#define KOBJECT_H

#include <qobject.h>

/**
  *@author jec
  */

class KObject : public QObject
{
public: 
	KObject();
	KObject(const KObject& other);
	~KObject();

  KObject& operator=(const KObject& other);
  virtual KObject& copy(const KObject& other);
	
	void setIsDiscarded(bool disc);
	bool isDiscarded();

private:
  KObject& scopy(const KObject& other);

private:
	bool isDiscarded_;
	
};

#endif
