#ifndef KPP_BACKENDPAGE
#define	KPP_BACKENDPAGE

#include <qwidget.h>

class KPrinterDescription;
class QLabel;

class Kpp_BackendPage : public QWidget
{
	Q_OBJECT;
public:
	Kpp_BackendPage(QWidget *parent = 0, const char *name = 0);
	~Kpp_BackendPage();

	void setInfos(KPrinterDescription *d);
	void collectInfos(KPrinterDescription *d);

	bool hasChanged() const { return modified_; }

protected:
	void initWidget();

protected slots:
	void changeClicked();

private:
	QLabel	*infoLabel_;
	KPrinterDescription	*desc_;
	bool	modified_;
};

#endif
