#ifndef CUPSDBROWSINGMASKSPAGE_H
#define CUPSDBROWSINGMASKSPAGE_H

#include "cupsdpage.h"

class CupsListBox;
class CupsdOption;
class QComboBox;

class CupsdBrowsingMasksPage : public CupsdPage
{
public:
	CupsdBrowsingMasksPage(QWidget *parent = 0, const char *name = 0);
	~CupsdBrowsingMasksPage();

	bool loadConfig(CupsdConf *conf, QString& msg);
	bool saveConfig(CupsdConf *conf, QString& msg);
	void setDefaults();
        void setInfos(CupsdConf*);

private:
	CupsListBox	*browseallow_;
	CupsListBox	*browsedeny_;
	QComboBox	*browseorder_;

	CupsdOption	*opt_[3];
};

#endif
