#ifndef CUPSDSERVERDIRPAGE_H
#define CUPSDSERVERDIRPAGE_H

#include "cupsdpage.h"

class QDirLineEdit;
class QComboBox;
class CupsdOption;

class CupsdServerDirPage : public CupsdPage
{
public:
	CupsdServerDirPage(QWidget *parent = 0, const char *name = 0);
	~CupsdServerDirPage();

	bool loadConfig(CupsdConf *conf, QString& msg);
	bool saveConfig(CupsdConf *conf, QString& msg);
	void setDefaults();
        void setInfos(CupsdConf*);

private:
	QDirLineEdit	*datadir_;
	QDirLineEdit	*requestroot_;
	QDirLineEdit	*serverbin_;
	QDirLineEdit	*serverroot_;
	QDirLineEdit	*tempdir_;
	QDirLineEdit	*fontpath_;

	CupsdOption	*opt_[6];
};

#endif
