#ifndef QDIRLINEEDIT_H
#define	QDIRLINEEDIT_H

#include <qwidget.h>
#include <qstring.h>

class QLineEdit;
class QPushButton;

class QDirLineEdit : public QWidget
{
	Q_OBJECT;
public:
	QDirLineEdit(QWidget *parent = 0, const char *name = 0);
	~QDirLineEdit();

	void setText(const QString& txt);
	QString text();
	void setButtonText(const QString& txt);
	void setFileEdit(bool on = true);

	QSize sizeHint() const;

private slots:
	void buttonClicked();

private:
	QLineEdit	*edit_;
	QPushButton	*button_;
	bool		fileedit_;
};

#endif
