/***************************************************************************
                          kap_lastconfirmationpage.h  -  description
                             -------------------
    begin                : Tue Feb 1 2000
    copyright            : (C) 2000 by jec
    email                : cuendet@linkvest.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KAP_LASTCONFIRMATIONPAGE_H
#define KAP_LASTCONFIRMATIONPAGE_H

#include <qwidget.h>
#include <kap_wizardpage.h>

/**
  *@author jec
  */

class QTextView;
class QVBoxLayout;
class QPushButton;

class Kap_LastConfirmationPage : public Kap_WizardPage
{
   Q_OBJECT
public: 
	Kap_LastConfirmationPage(QWidget *parent=0, const char *name=0);
	~Kap_LastConfirmationPage();

	virtual bool initialize();
	
	virtual bool hasPrevPage();
	virtual bool hasNextPage();

	virtual bool slotOk();	
	virtual bool hasOkButton();
	virtual bool hasCancelButton();
	
	virtual bool canNextPage(QString& msg);
	
	Kap_Main::e_PageType getType() const;
	
private:
	QTextView* label_;
	QPushButton* okButton_;
	
	QVBoxLayout* layout_;
};

#endif
