#ifndef KAP_LOCALSELECTOR_H
#define	KAP_LOCALSELECTOR_H

#include "kap_wizardpage.h"

#include <qstring.h>

class QListView;
class QListViewItem;
class QLabel;
class QComboBox;

class Kap_LocalSelector : public Kap_WizardPage
{
	Q_OBJECT;

public:
	Kap_LocalSelector(QWidget *parent = 0, const char *name = 0);
	~Kap_LocalSelector();

	Kap_Main::e_PageType getType() const;
	Kap_Main::e_PageType getNextPage(QString& msg, bool fake = false);
	bool canNextPage(QString& msg);

	bool initialize();

protected:
	void resizeEvent(QResizeEvent*);

protected slots:
	void listClicked(QListViewItem *item);

private:
	QListView	*list_;
	QLabel		*speedLabel_;
	QComboBox	*speed_;
	QListViewItem	*ports_[3];
	bool		initialized_;
};

#endif
