/***************************************************************************
                          kclasshelper.h  -  description
                             -------------------
    begin                : Wed Dec 20 2000
    copyright            : (C) 2000 by Michael Goffioul
    email                : goffioul@imec.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef KCLASSHELPER_H
#define KCLASSHELPER_H

#include <kups_helper.h>

/**
  *@author Michael Goffioul
  */

class KClassHelper : public Kups_Helper  {
public: 
	KClassHelper();
	~KClassHelper();

	static KClassHelper* get();

	virtual bool removeFromClass(KPrinter* printer, KPrinter* other);
	virtual bool setAttribute(KPrinter* printer, ipp_attribute_t* attr);
	virtual bool remove(KPrinter* p);

private:
	static KClassHelper* unique_;
};

#endif
