/***************************************************************************
                          kups_testpage.cpp  -  description
                             -------------------
    begin                : Sat Jan 22 2000
    copyright            : (C) 2000 by jec
    email                : cuendet@linkvest.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#include <string.h>

#include <qfile.h>

#include <kprogress.h>

#include "kups_testpagegenerator.h"
#include "kups_infos.h"
#include "kbuffer.h"



KBuffer Kups_TestPageGenerator::basicPage_;
QString Kups_TestPageGenerator::testPageName_;


const KBuffer& Kups_TestPageGenerator::getBasicPage()
{
	if ( basicPage_.size() == 0 || (Kups_Infos::get()->getTestPage() != testPageName_) )
	{
		testPageName_ = Kups_Infos::get()->getTestPage();
		
		basicPage_.load(testPageName_);
		// DEBUG - FIXME
		basicPage_.dump("/tmp/test_file.ps");
		// DEBUG
	}
	return basicPage_;
}
