/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Wed Dec 20 16:43:35 CET 2000
    copyright            : (C) 2000 by Michael Goffioul
    email                : goffioul@imec.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <kuniqueapp.h>

#include "kups.h"
#include <qtcups/qtcups.h>

static const char *description =
	I18N_NOOP("Kups");
// INSERT A DESCRIPTION FOR YOUR APPLICATION HERE


static KCmdLineOptions options[] =
{
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "kups", I18N_NOOP("Kups"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2000, Michael Goffioul");
  aboutData.addAuthor("Michael Goffioul",0, "goffioul@imec.be");
  KCmdLineArgs::init( argc, argv, &aboutData );
  KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.
  KUniqueApplication::addCmdLineOptions();

  KUniqueApplication a;

debug("language: %s",KGlobal::locale()->language().data());
  QtCUPS::setLocale(KGlobal::locale()->language());
  KGlobal::locale()->insertCatalogue("kupsdconf");

  KupsApp *kups = new KupsApp();
  a.setMainWidget(kups);
  kups->show();

  return a.exec();
}
