#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './optionsdirsbase.ui'
**
** Created: Wed Jan 24 14:20:57 2001
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "optionsdirsbase.h"

#include <qcheckbox.h>
#include <qframe.h>
#include <qgroupbox.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/* 
 *  Constructs a OptionsDirsPageBase which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 */
OptionsDirsPageBase::OptionsDirsPageBase( QWidget* parent,  const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "OptionsDirsPageBase" );
    resize( 421, 333 ); 
    setCaption( i18n( "Form1" ) );
    OptionsDirsPageBaseLayout = new QVBoxLayout( this ); 
    OptionsDirsPageBaseLayout->setSpacing( 6 );
    OptionsDirsPageBaseLayout->setMargin( 11 );

    standardinstall_ = new QCheckBox( this, "standardinstall_" );
    standardinstall_->setText( i18n( "Standard CUPS installation" ) );
    standardinstall_->setChecked( FALSE );
    OptionsDirsPageBaseLayout->addWidget( standardinstall_ );

    GroupBox1 = new QGroupBox( this, "GroupBox1" );
    GroupBox1->setTitle( i18n( "CUPS locations" ) );
    GroupBox1->setColumnLayout(0, Qt::Vertical );
    GroupBox1->layout()->setSpacing( 0 );
    GroupBox1->layout()->setMargin( 0 );
    GroupBox1Layout = new QHBoxLayout( GroupBox1->layout() );
    GroupBox1Layout->setAlignment( Qt::AlignTop );
    GroupBox1Layout->setSpacing( 6 );
    GroupBox1Layout->setMargin( 11 );

    Layout24 = new QVBoxLayout; 
    Layout24->setSpacing( 6 );
    Layout24->setMargin( 0 );

    Layout18 = new QHBoxLayout; 
    Layout18->setSpacing( 6 );
    Layout18->setMargin( 0 );

    TextLabel1 = new QLabel( GroupBox1, "TextLabel1" );
    TextLabel1->setText( i18n( "Root directory:" ) );
    TextLabel1->setMinimumSize( QSize( 120, 0 ) );
    Layout18->addWidget( TextLabel1 );

    rootedit_ = new QLineEdit( GroupBox1, "rootedit_" );
    rootedit_->setMinimumSize( QSize( 100, 0 ) );
    Layout18->addWidget( rootedit_ );

    browseroot_ = new QPushButton( GroupBox1, "browseroot_" );
    browseroot_->setText( i18n( "Browse..." ) );
    Layout18->addWidget( browseroot_ );
    Layout24->addLayout( Layout18 );

    Frame5 = new QFrame( GroupBox1, "Frame5" );
    Frame5->setFrameShadow( QFrame::Raised );
    Frame5->setFrameShape( QFrame::HLine );
    Frame5->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)0, Frame5->sizePolicy().hasHeightForWidth() ) );
    Layout24->addWidget( Frame5 );

    Layout19 = new QHBoxLayout; 
    Layout19->setSpacing( 6 );
    Layout19->setMargin( 0 );

    TextLabel3 = new QLabel( GroupBox1, "TextLabel3" );
    TextLabel3->setText( i18n( "Drivers directory:" ) );
    TextLabel3->setMinimumSize( QSize( 120, 0 ) );
    Layout19->addWidget( TextLabel3 );

    driversedit_ = new QLineEdit( GroupBox1, "driversedit_" );
    Layout19->addWidget( driversedit_ );

    browsedrivers_ = new QPushButton( GroupBox1, "browsedrivers_" );
    browsedrivers_->setText( i18n( "Browse..." ) );
    Layout19->addWidget( browsedrivers_ );
    Layout24->addLayout( Layout19 );

    Layout20 = new QHBoxLayout; 
    Layout20->setSpacing( 6 );
    Layout20->setMargin( 0 );

    TextLabel2 = new QLabel( GroupBox1, "TextLabel2" );
    TextLabel2->setText( i18n( "Configuration file:" ) );
    TextLabel2->setMinimumSize( QSize( 120, 0 ) );
    Layout20->addWidget( TextLabel2 );

    configedit_ = new QLineEdit( GroupBox1, "configedit_" );
    Layout20->addWidget( configedit_ );

    browseconfig_ = new QPushButton( GroupBox1, "browseconfig_" );
    browseconfig_->setText( i18n( "Browse..." ) );
    Layout20->addWidget( browseconfig_ );
    Layout24->addLayout( Layout20 );
    GroupBox1Layout->addLayout( Layout24 );
    OptionsDirsPageBaseLayout->addWidget( GroupBox1 );
    QSpacerItem* spacer = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    OptionsDirsPageBaseLayout->addItem( spacer );

    // signals and slots connections
    connect( standardinstall_, SIGNAL( toggled(bool) ), rootedit_, SLOT( setDisabled(bool) ) );
    connect( standardinstall_, SIGNAL( toggled(bool) ), driversedit_, SLOT( setDisabled(bool) ) );
    connect( standardinstall_, SIGNAL( toggled(bool) ), configedit_, SLOT( setDisabled(bool) ) );
    connect( standardinstall_, SIGNAL( toggled(bool) ), browseroot_, SLOT( setDisabled(bool) ) );
    connect( standardinstall_, SIGNAL( toggled(bool) ), browsedrivers_, SLOT( setDisabled(bool) ) );
    connect( standardinstall_, SIGNAL( toggled(bool) ), browseconfig_, SLOT( setDisabled(bool) ) );
    connect( rootedit_, SIGNAL( textChanged(const QString&) ), this, SLOT( slotRootChanged(const QString&) ) );
    connect( browseroot_, SIGNAL( clicked() ), this, SLOT( slotBrowseRoot() ) );
    connect( browsedrivers_, SIGNAL( clicked() ), this, SLOT( slotBrowseDrivers() ) );
    connect( browseconfig_, SIGNAL( clicked() ), this, SLOT( slotBrowseConfig() ) );
}

/*  
 *  Destroys the object and frees any allocated resources
 */
OptionsDirsPageBase::~OptionsDirsPageBase()
{
    // no need to delete child widgets, Qt does it all for us
}

void OptionsDirsPageBase::slotBrowseConfig()
{
    qWarning( "OptionsDirsPageBase::slotBrowseConfig(): Not implemented yet!" );
}

void OptionsDirsPageBase::slotBrowseDrivers()
{
    qWarning( "OptionsDirsPageBase::slotBrowseDrivers(): Not implemented yet!" );
}

void OptionsDirsPageBase::slotBrowseRoot()
{
    qWarning( "OptionsDirsPageBase::slotBrowseRoot(): Not implemented yet!" );
}

void OptionsDirsPageBase::slotRootChanged(const QString&)
{
    qWarning( "OptionsDirsPageBase::slotRootChanged(const QString&): Not implemented yet!" );
}

#include "optionsdirsbase.moc"
