/***************************************************************************
                          optionstestpage.h  -  description
                             -------------------
    begin                : Thu Jan 4 2001
    copyright            : (C) 2001 by Michael Goffioul
    email                : goffioul@imec.be
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef OPTIONSTESTPAGE_H
#define OPTIONSTESTPAGE_H

#include <qwidget.h>
#include <optionstestbase.h>
#include <qstringlist.h>

/**
  *@author Michael Goffioul
  */

class OptionsTestPage : public OptionsTestPageBase  {
   Q_OBJECT
public: 
	OptionsTestPage(QWidget *parent=0, const char *name=0);
	~OptionsTestPage();
protected slots:
	virtual void slotBrowseTestPage();
	virtual void slotPreviewTestPage();
private:
	QStringList	tmpfiles_;
};

#endif
