#ifndef CUPSDOPTION_H
#define	CUPSDOPTION_H

#include <qwidget.h>

class QCheckBox;
class QHBoxLayout;
class QFrame;

class CupsdOption : public QWidget
{
	Q_OBJECT;
public:
	CupsdOption(QWidget *parent = 0, const char *name = 0);
	~CupsdOption();

	QSize sizeHint() const;
	void setDefault(bool on = true);
	bool isDefault() const;

protected slots:
	void checkClicked();

protected:
	void childEvent(QChildEvent *e);

private:
	QCheckBox	*cb_;
	QWidget		*cbw_;
	QHBoxLayout		*layout_;
	QFrame		*fr_;

	QWidget		*widget_;
};

#endif
